Using SMASH

Welcome to SMASH, the “SoftMaker Application Shell”.

SMASH is a little utility that displays icons for your SoftMaker Office applications in the system tray (at the bottom right corner of your screen). Clicking on these icons provides a very fast and easy access to your SoftMaker Office applications and documents.

Starting SMASH

Unless you have unchecked it during the installation procedure, SMASH will be installed in a way that it is launched automatically every time you start Windows.

Alternatively, you can start SMASH manually using Windows’ Start menu. To do so, click on Start > Programs > SoftMaker Office > Utilities > Smash.

Using SMASH

You can see that SMASH is running when you take a look at the system tray of your desktop (located at the lower right corner of the screen). You should see one or more of the following icons there:

(Depending on which applications you have actually installed, only a part of these icons will appear.)

By clicking on one of these icons you can perform the following actions:

icons:

Double-clicking on one of these icons will launch the corresponding application:

Start TextMaker (word processor)

Start PlanMaker (spreadsheet)

Start SoftMaker Presentations (presentation graphics)

Start BasicMaker* (script editor)

* Not included in all versions of SoftMaker Office

Right-clicking on one of these icons will open a menu with the documents last opened in the corresponding application. Select one of these documents to launch the application and open this document.

icon:

A double-click on this icon launches the e-mail application eM Client (available only in SoftMaker Office Professional).

icon:

When you double-click on this icon, a dialog that provides access to TextMaker’s thesaurus will appear (provided that it is installed).

To obtain a list of synonyms for a word, simply type it in and press the Enter key.

At the bottom right corner of the dialog you can choose the language for the thesaurus to use.

icon:

When you click on this icon, a menu with some of the system folders of your operating system will appear. Select one of these folders to open it.

System folders are folders with special functions that can be used to configure Windows. For instance, the Printers folder contains a list of all printers in-stalled on your system, letting you configure and manage your printers.


Configuring SMASH

To modify the configuration of SMASH, right-click on any SMASH icon to open its menu. Then, select the menu command Preferences.

SMASH’s preferences dialog will appear. The following settings can be made there:

Use Explorer for ...

When you open a system folder using the [image] icon, usually a standard folder window will appear. If you prefer to get a full-blown Explorer window instead, check this option for the desired folders.

Display icons for ...

Lets you choose for which SoftMaker Office applications SMASH should display icons in the taskbar.

(Independent from this setting, no icon will be displayed for programs that are currently not installed.)

Application start

Here, you can choose what should happen when you double-click a SMASH icon in order to launch the corresponding application.

Options available:

Empty document: Launch the program and create a new empty document.

'File Open' dialog: Launch the program and open the dialog of the File > Open command.

'File New' dialog: Launch the program and open the dialog of the File > New command.

Run SMASH when Windows starts

When this option is checked, SMASH will automatically start whenever you start Windows.